The Vista Layered Service Provider Problem

Vista can be a bit of an LSP nightmare because of the potential snafu regarding the 32 bit and 64 bit versions.  It is such a headache that I have officially decided to give it a title:  The Vista Layered Service Provider Problem.

The catch is that some people are only installing the 32 bit DLLs and the 32 bit LSP on a 64 bit OS and then other people are only installing the 64 bit DLLs and the 64 bit LSP.  The fact of the matter is that in order to run a 32 bit application n a 64 bit OS, you need the 32 bit DLLs and LSP.  However, you ALSO need the 64 bit DLLs and LSP for the 64 bit applications.  One important note, you must install the 32 bit versions first.

This should effectively solve a majority of the problems and fix LSP issues for Vista.  However, if you are having other problems like Vista LSP can’t connect to Internet or communication problems, then you may need more detailed help.  I would definitely check out the free LSP guide and resource page here at Komodia.com before going any further.

Chris

Tags: , , ,

Leave a Reply

You must be logged in to post a comment.